Bug 855564 - atlas-sse3-devel does not provide atlas-devel
atlas-sse3-devel does not provide atlas-devel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: atlas (Show other bugs)
17
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-08 20:50 EDT by Dmitri A. Sergatskov
Modified: 2013-07-31 19:07 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:07:00 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dmitri A. Sergatskov 2012-09-08 20:50:08 EDT
Description of problem:
I use octave w/ atlas-sse3 (and with atlas-sse3-devel installed).
Yet, when I try to install octave-devel it would pull in atlas and
atlas-devel as well. Which looks wrong to me.

Version-Release number of selected component (if applicable):
octave-3.6.2-2.fc17.x86_64
(atlas pulled from koji)
atlas-sse3-3.8.4-7.fc17.x86_64
atlas-sse3-devel-3.8.4-7.fc17.x86_64

How reproducible:
100%

Steps to Reproduce:
1. install atlas-sse3; atlas-sse3-devel
2. make sure that atlas and atlas-devel is NOT installed
3. yum install octave 
4. yum install octave-devel
  
Actual results:
Dependencies Resolved

================================================================================
 Package             Arch          Version                 Repository      Size
================================================================================
Installing:
 octave-devel        x86_64        6:3.6.2-2.fc17          updates        501 k
Installing for dependencies:
 atlas               x86_64        3.8.4-3.fc17            fedora         2.6 M
 atlas-devel         x86_64        3.8.4-3.fc17            fedora         1.1 M

Transaction Summary
================================================================================
Install  1 Package (+2 Dependent packages)


Expected results:
octave-devel should just install 
(atlas-sse3 and atlas-sse3-devel should satisfy dependencies)

Additional info:
Comment 1 Susi Lehtola 2012-09-09 07:08:40 EDT
This is a problem with the packaging of ATLAS, not in that of octave. Reassigning.
Comment 2 Orion Poplawski 2012-09-10 17:17:28 EDT
Couple related issues:

- It would be good if there was a pkg-config or similar file that would allow a user to get the path of the atlas library directory for linking against.

- It would be good if when both atlas and atlas-sse3 were installed that the sse3 libraries were preferred.
Comment 3 Fedora End Of Life 2013-07-03 17:45:05 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2013-07-31 19:07:07 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.